# Bakery::Conf::AssociationCreation< T_Widget > Class Template Reference

`#include <Association.h>`

Inheritance diagram for Bakery::Conf::AssociationCreation< T_Widget >:

[legend]

List of all members.

## Public Member Functions

virtual | ~AssociationCreation ()

## Static Public Member Functions

static const AssociationPtr | create (const Glib::ustring &full_key, T_Widget &widget, bool instant)

## Protected Member Functions

| AssociationCreation (const Glib::ustring &full_key, T_Widget &widget, bool instant)
| AssociationCreation (const AssociationCreation &other)

## Protected Attributes

T_Widget & | m_widget

### template<class T_Widget>
class Bakery::Conf::AssociationCreation< T_Widget >

## Constructor & Destructor Documentation

template<class T_Widget>

virtual Bakery::Conf::AssociationCreation< T_Widget >::~AssociationCreation | ( |  | ) | `[inline, virtual]`

template<class T_Widget>

Bakery::Conf::AssociationCreation< T_Widget >::AssociationCreation | ( | const Glib::ustring & | full_key,
|  | T_Widget & | widget,
|  | bool | instant |
| ) |  |  | `[inline, protected]`

template<class T_Widget>

Bakery::Conf::AssociationCreation< T_Widget >::AssociationCreation | ( | const AssociationCreation< T_Widget > & | other | ) | `[protected]`

## Member Function Documentation

template<class T_Widget>

static const AssociationPtr Bakery::Conf::AssociationCreation< T_Widget >::create | ( | const Glib::ustring & | full_key,
|  | T_Widget & | widget,
|  | bool | instant |
| ) |  |  | `[inline, static]`

## Member Data Documentation

template<class T_Widget>

T_Widget& Bakery::Conf::AssociationCreation< T_Widget >::m_widget `[protected]`

Referenced by Bakery::Conf::Association< Gtk::Combo >::connect_widget(), Bakery::Conf::Association< Gtk::OptionMenu >::connect_widget(), Bakery::Conf::Association< Gtk::Range >::connect_widget(), Bakery::Conf::Association< Gtk::ToggleButton >::connect_widget(), Bakery::Conf::Association< Gtk::Entry >::connect_widget(), Bakery::Conf::Association< Gtk::SpinButton >::connect_widget(), Bakery::Conf::Association< Gtk::Combo >::load_widget(), Bakery::Conf::Association< Gtk::OptionMenu >::load_widget(), Bakery::Conf::Association< Gtk::Range >::load_widget(), Bakery::Conf::Association< Gtk::ToggleButton >::load_widget(), Bakery::Conf::Association< Gtk::Entry >::load_widget(), Bakery::Conf::Association< Gtk::SpinButton >::load_widget(), Bakery::Conf::Association< Gtk::Combo >::save_widget(), Bakery::Conf::Association< Gtk::OptionMenu >::save_widget(), Bakery::Conf::Association< Gtk::Range >::save_widget(), Bakery::Conf::Association< Gtk::ToggleButton >::save_widget(), Bakery::Conf::Association< Gtk::Entry >::save_widget(), and Bakery::Conf::Association< Gtk::SpinButton >::save_widget().

The documentation for this class was generated from the following file:

- Association.h